Package com.databricks.jdbc.auth

## Class OAuthEndpointResolver

- java.lang.Object
- - com.databricks.jdbc.auth.OAuthEndpointResolver

    public class OAuthEndpointResolver
    extends Object

### Constructor Summary

Constructors
`OAuthEndpointResolver​(IDatabricksConnectionContext context, com.databricks.sdk.core.DatabricksConfig databricksConfig)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getTokenEndpoint()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OAuthEndpointResolver

    public OAuthEndpointResolver​(IDatabricksConnectionContext context,
                                 com.databricks.sdk.core.DatabricksConfig databricksConfig)

### Method Detail

#### getTokenEndpoint

    public String getTokenEndpoint()